=== debian/changelog ===
icinga2 (2.11.2-1ubuntu3) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 05 Mar 2020 08:51:46 +0100

icinga2 (2.11.2-1ubuntu2) focal; urgency=medium

  * No-change rebuild for icu soname change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 03 Mar 2020 21:21:21 +0100

icinga2 (2.11.2-1ubuntu1) focal; urgency=medium

  * d/p/disable-boost-version-check: fix FTBFS by removing an old Boost
    version check as also applied upstream. (LP: #1863371)

 -- Robie Basak <robie.basak@ubuntu.com>  Mon, 17 Feb 2020 14:01:04 +0000

icinga2 (2.11.2-1build1) focal; urgency=medium

  * No change rebuild against new boost1.71 ABI

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 03 Feb 2020 20:35:48 +0000

icinga2 (2.11.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 26 Oct 2019 16:53:23 +0200

icinga2 (2.11.1-2) unstable; urgency=medium

  * Team upload.
  * Don't add -latomic, didn't fix the FTBFS.
  * Switch to wxWidgets GTK 3 implementation.
    (closes: #943438)
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 25 Oct 2019 06:24:43 +0200

icinga2 (2.11.1-2~exp1) experimental; urgency=medium

  * Team upload.
  * Add -latomic to LDFLAGS on some architectures to fix FTFBS.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 18 Oct 2019 16:32:56 +0200

icinga2 (2.11.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.4.1, no changes.
  * Drop unused override for file-references-package-build-path.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 18 Oct 2019 07:49:04 +0200

icinga2 (2.11.0-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Mark autopkgtest as superficial.
  * Update copyright years for Icinga Development Team.
  * Drop spelling-errors.patch, applied upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 20 Sep 2019 07:17:39 +0200

icinga2 (2.11.0~rc1-1~exp2) experimental; urgency=medium

  * Team upload.
  * Use /run instead of /var/run.
  * Set ownership of /etc/icinga2/features-enabled to nagios:nagios.
    (closes: #934108)

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 07 Aug 2019 14:50:58 +0200

icinga2 (2.11.0~rc1-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release candidate.
  * Bump Standards-Version to 4.4.0, no changes.
  * Update copyright file, changes:
    - Update copyright years for Icinga GmbH
    - Add license & copyright for nlohmann_json & utf8cpp sources
  * Drop icinga2-classicui package, Icinga 1.x is EOL.
  * Refresh patches.
  * Add additional boost build dependencies, drop libyajl-dev.
  * Add patch to fix spelling errors.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 27 Jul 2019 08:06:39 +0200

icinga2 (2.10.6-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Bump Standards-Version to 4.4.0, no changes.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 04 Sep 2019 11:37:41 +0200

icinga2 (2.10.5-1) unstable; urgency=medium

  * Team upload.
  * Update gbp.conf to use --source-only-changes by default.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 07 Jul 2019 12:34:48 +0200

icinga2 (2.10.5-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 24 May 2019 05:53:45 +0200

icinga2 (2.10.4-1~exp1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Add Icinga GmbH to copyright holders.
  * Drop comparepasswords_issafe.patch, included upstream.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 22 Mar 2019 06:56:49 +0100
